#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kmobile_selectiondialog.ui'
**
** Created: 2013-12-27T22:51:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kmobile_selectiondialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qiconview.h>
#include <qframe.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KMobile_SelectionDialog which is a child of 'parent', with the
 *  name 'name'.' 
 */
KMobile_SelectionDialog::KMobile_SelectionDialog( QWidget* parent,  const char* name )
    : KDialog( parent, name )
{
    if ( !name )
	setName( "KMobile_SelectionDialog" );
    KMobile_SelectionDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "KMobile_SelectionDialogLayout"); 

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    helpText = new QLabel( this, "helpText" );

    layout3->addMultiCellWidget( helpText, 0, 0, 0, 2 );

    iconView = new QIconView( this, "iconView" );
    iconView->setResizeMode( QIconView::Adjust );

    layout3->addMultiCellWidget( iconView, 1, 1, 0, 2 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    layout3->addMultiCellWidget( line1, 2, 2, 0, 2 );

    addButton = new KPushButton( this, "addButton" );

    layout3->addWidget( addButton, 3, 0 );

    selectButton = new KPushButton( this, "selectButton" );
    selectButton->setDefault( TRUE );

    layout3->addWidget( selectButton, 3, 2 );
    spacer1 = new QSpacerItem( 181, 41, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addMultiCell( spacer1, 3, 4, 1, 1 );

    cancelButton = new KPushButton( this, "cancelButton" );

    layout3->addWidget( cancelButton, 4, 2 );

    KMobile_SelectionDialogLayout->addLayout( layout3, 0, 0 );
    languageChange();
    resize( QSize(424, 311).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KMobile_SelectionDialog::~KMobile_SelectionDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KMobile_SelectionDialog::languageChange()
{
    setCaption( tr2i18n( "Select Mobile Device" ) );
    helpText->setText( tr2i18n( "<b>Select mobile device:</b>" ) );
    addButton->setText( tr2i18n( "Add &New Device..." ) );
    selectButton->setText( tr2i18n( "S&elect" ) );
    cancelButton->setText( tr2i18n( "C&ancel" ) );
}

/****************************************************************************
** KMobile_SelectionDialog meta object code from reading C++ file 'kmobile_selectiondialog.h'
**
** Created: Fri Dec 27 22:51:03 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kmobile_selectiondialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KMobile_SelectionDialog::className() const
{
    return "KMobile_SelectionDialog";
}

QMetaObject *KMobile_SelectionDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KMobile_SelectionDialog( "KMobile_SelectionDialog", &KMobile_SelectionDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KMobile_SelectionDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KMobile_SelectionDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KMobile_SelectionDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KMobile_SelectionDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KMobile_SelectionDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = KDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KMobile_SelectionDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KMobile_SelectionDialog.setMetaObject( metaObj );
    return metaObj;
}

void* KMobile_SelectionDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KMobile_SelectionDialog" ) )
	return this;
    return KDialog::qt_cast( clname );
}

bool KMobile_SelectionDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return KDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KMobile_SelectionDialog::qt_emit( int _id, QUObject* _o )
{
    return KDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KMobile_SelectionDialog::qt_property( int id, int f, QVariant* v)
{
    return KDialog::qt_property( id, f, v);
}

bool KMobile_SelectionDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
